Loading...
Searching...
No Matches
ranges::views::split_when_fn Struct Reference
Inheritance diagram for ranges::views::split_when_fn:

## Public Member Functions

template<typename T >
constexpr auto | operator() (T &&t) const
Public Member Functions inherited from ranges::views::split_when_base_fn
template<typename Rng , typename Fun > requires viewable_range<Rng> && forward_range<Rng> && invocable<Fun &, iterator_t<Rng>, sentinel_t<Rng>> && invocable<Fun &, iterator_t<Rng>, iterator_t<Rng>> && copy_constructible<Fun> && convertible_to< invoke_result_t<Fun &, iterator_t<Rng>, sentinel_t<Rng>>, std::pair<bool, iterator_t<Rng>>>
split_when_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng , typename Fun > requires viewable_range<Rng> && forward_range<Rng> && predicate<Fun const &, range_reference_t<Rng>> && copy_constructible<Fun>
split_when_view< all_t< Rng >, predicate_pred_< Fun > > | operator() (Rng &&rng, Fun fun) const

## Related Symbols

(Note that these are not member symbols.)
constexpr split_when_fn | split_when {}